Module ij
Package ij.process

# Class TypeConverter

java.lang.Object
ij.process.TypeConverter

public class TypeConverter extends Object
This class converts an ImageProcessor to another data type.

## Constructor Summary

Constructors
Constructor
Description
`TypeConverter(ImageProcessor ip, boolean doScaling)`

## Method Summary

Modifier and Type
Method
Description
`ImageProcessor`
`convertToByte()`
Converts processor to a ByteProcessor.
`ImageProcessor`
`convertToFloat(float[] ctable)`
Converts processor to a FloatProcessor.
`ImageProcessor`
`convertToRGB()`
Converts processor to a ColorProcessor.
`ImageProcessor`
`convertToShort()`
Converts processor to a ShortProcessor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeConverter

public TypeConverter(ImageProcessor ip, boolean doScaling)

## Method Details

### convertToByte

public ImageProcessor convertToByte()
Converts processor to a ByteProcessor.

### convertToShort

public ImageProcessor convertToShort()
Converts processor to a ShortProcessor.

### convertToFloat

public ImageProcessor convertToFloat(float[] ctable)
Converts processor to a FloatProcessor.

### convertToRGB

public ImageProcessor convertToRGB()
Converts processor to a ColorProcessor.